#
# spec file for package jose4j
#
# Copyright (c) 2015 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           jose4j
Version:        0.4.4
Release:        1.3
License:        Apache-2.0
Summary:        JWT implementation for Java
Url:            https://bitbucket.org/b_c/jose4j
Group:          Devel/Languages/Libraries/Java
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  java-devel
BuildRequires:  slf4j >= 1.7
BuildRequires:  javapackages-tools
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The jose.4.j library is a robust and easy to use open source implementation of
JSON Web Token (JWT) and the JOSE specification suite (JWS, JWE, and JWK).
It is written in Java and relies solely on the JCA APIs for cryptography.

%prep
%setup -q

%build
rm -rf src/test
find . -name '*.java' | xargs javac -encoding utf8 -source 1.7 -target 1.7 -cp $(build-classpath slf4j/all)
pushd src/main/java
jar cvf ../../../%{name}-%{version}.jar $(find . -name '*.class')
popd

%install
%{__mkdir_p} %{buildroot}%{_javadir}
%{__install} -m 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%{__ln_s} %{_javadir}/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%defattr(-,root,root)
%doc LICENSE NOTICE.txt README.md


%changelog
* Fri Oct 23 2015 dmacvicar@suse.de
- initial version for 0.4.4
